const {
  validateNameInput
} = require('./inputValidation.js');

const getNamePrompt = (plopConfig, type) => {
  let defaultName = plopConfig.defaultComponentName;
  let defaultFolderPath = plopConfig.componentsPath;
  if (type === 'container') {
    defaultName = plopConfig.defaultContainerName;
    defaultFolderPath = plopConfig.containersPath;
  }
  return {
    type: 'input',
    name: 'name',
    message: 'What should it be called?',
    default: defaultName,
    validate: validateNameInput(defaultFolderPath, type),
  };
};

const getTypePrompt = (plopConfig, availableTypes) => {
  return {
    type: 'list',
    name: 'type',
    message: 'Select the type of component',
    default: plopConfig.defaultComponentType,
    choices: () => availableTypes,
  };
};

const getUseReactI18nPrompt = plopConfig => {
  return {
    type: 'confirm',
    name: 'useReactI18n',
    default: plopConfig.useReactI18nByDefault,
    message: 'Do you want to use ReactI18n?',
  };
};

const getUseTypescriptPrompt = plopConfig => {
  return {
    type: 'confirm',
    name: 'useTypescript',
    default: plopConfig.useTypescriptByDefault,
    message: 'Do you want to use Typescript?',
  };
};

module.exports = {
  getNamePrompt,
  getTypePrompt,
  getUseReactI18nPrompt,
  getUseTypescriptPrompt,
};